#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  k3b-20.12.2

- Next

  KDE Plasma 5

- Up
- Home

# Further KDE5 packages

This section did not provide instructions for all of the available packages in the KDE5 Software Compilation. The included packages were selected based on what most people would want to use on a standard desktop computer.

For a full list of available packages, have a look on the KDE5 servers at https://download.kde.org/stable/release-service/20.12.2/src.

### Note

Some packages, such as kde-baseapps, kde-runtime, and kmag listed in the link above are only for the older KDE4 and cannot be used with KF5.

Some additional packages worth mentioning are:

- Juk: A lightweight music player.

- Dragon: A video player.

- Kcalc: A scientific calculator.

- Kaccessible: Integration of accessibility utilities.

- Kwalletmanager: A credentials management application.

- Marble: A global map program.

- A variety (about 40) of KDE games including: kpat, kfourinline, and kmines.

### Note

Some packages will require additional dependencies. To determine what dependencies are needed, run from the top of the source tree:

    cmake -Wno-dev -L .

Most of these packages can be built with the standard KDE5 instructions:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

And as the `root` user:

    make install

Last updated on 2020-03-08 03:20:09 -0700

- Prev

  k3b-20.12.2

- Next

  KDE Plasma 5

- Up
- Home